Chuyển đến nội dung chính
PUT
JavaScript

Ủy quyền

Authorization
string
header
bắt buộc

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Tham số đường dẫn

id
string
bắt buộc

Product Collection Id

Tham số truy vấn

force_update
boolean | null

If true, generates a new image ID to force cache invalidation

Phản hồi

Aws s3 presigned URL. Upload image to this URL within 60s

url
string
bắt buộc

Presigned S3 URL for uploading the image

image_id
string<uuid> | null

Optional image ID (present when force_update is true)

Lần sửa đổi cuối 6 tháng 8, 2026